hw_api::insertanchor
hw_api::insertdocument
Hyperwave API Functions
PHP Manual

# hw_api::insertcollection

(PHP 4, PHP 5 < 5.2.0, PECL hwapi SVN)

hw_api::insertcollection — Inserts a new object of type collection

### Description

hw_api_object hw_api::insertcollection ( array `$parameter` )

This function is a shortcut for hwapi_insert(). It inserts an object of type collection and sets some of the attributes required for a collection.

### Parameters

`parameter`

  The parameter array contains the required elements 'object' and 'parentIdentifier' and the optional elements 'parameter' and 'attributeSelector'. See hwapi_insert() for the meaning of each element.

### Return Values

### See Also

- hw_api::insert
- hw_api::insertdocument
- hw_api::insertanchor

hw_api::insertanchor
hw_api::insertdocument
Hyperwave API Functions
PHP Manual